Skip to main content
POST
/
webhook-subscriptions
Create a webhook subscription
curl --request POST \
  --url https://api.staging-2tid4c.ezyshield.com.au/verification/v1/webhook-subscriptions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "events": [
    "verification.pending"
  ]
}
'
{
  "data": {
    "id": "<string>",
    "type": "webhook-subscriptions",
    "attributes": {
      "url": "<string>",
      "events": [
        {}
      ],
      "enabled": true,
      "consecutive_failures": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "disabled_at": "2023-11-07T05:31:56Z",
      "secret": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
url
string<uri>
required

The webhook endpoint URL.

Maximum string length: 2048
events
enum<string>[]
required

The event types to subscribe to.

Minimum array length: 1

Each event type must be a valid WebhookEventType.

Available options:
verification.pending,
verification.verified,
verification.rejected,
verification.failed,
verification.cancelled,
verification.expired,
verification.error,
verification.confirmation_ready,
verification.confirmation_notification_sent

Response

WebhookSubscriptionResource

data
WebhookSubscriptionResource · object
required